classification
Title: Correcting the typos error in Doc/howto/urllib2.rst
Type: Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Bithin.A, docs@python, python-dev, sandro.tosi, terry.reedy, zacherates
Priority: normal Keywords: patch

Created on 2011-12-12 12:40 by Bithin.A, last changed 2012-04-24 15:39 by sandro.tosi. This issue is now closed.

Files
File name Uploaded Description Edit
issue13587.diff zacherates, 2012-01-07 20:07 review
Messages (5)
msg149295 - (view) Author: Bithin A (Bithin.A) Date: 2011-12-12 12:40
In the documentation 'HOWTO Fetch Internet Resources Using urllib2' there is a correction under the heading 'Basic Authentication'

In the line 'The header looks like : ``Www-authenticate: SCHEME realm="REALM"``. ' the word 'Www-authenticate' should be written as 'WWW-Authenticate' . 

Link : docs.python.org/howto/urllib2.html
msg149648 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-12-17 00:06
Error is in 3.2 docs as well.

2.6/3.1 only get security patches. 3.4 is for future enhancements what will not even go into 3.3.
msg150818 - (view) Author: Aaron Maenpaa (zacherates) Date: 2012-01-07 20:07
Here's a patch that makes the WWW-Authenticate headers in howto/urllib2 agree with rfc2617.
msg159163 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-04-24 15:38
New changeset 4dda3000c932 by Sandro Tosi in branch '2.7':
Issue #13587: use the right RFC2617 name for WWW-Authenticate; patch by Aaron Maenpaa
http://hg.python.org/cpython/rev/4dda3000c932

New changeset 01abffa8842a by Sandro Tosi in branch '3.2':
Issue #13587: use the right RFC2617 name for WWW-Authenticate; patch by Aaron Maenpaa
http://hg.python.org/cpython/rev/01abffa8842a

New changeset 798b9714777d by Sandro Tosi in branch 'default':
Issue #13587: merge with 3.2
http://hg.python.org/cpython/rev/798b9714777d
msg159164 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-04-24 15:39
Aaron: thanks for the patch!
History
Date User Action Args
2012-04-24 15:39:20sandro.tosisetstatus: open -> closed

nosy: + sandro.tosi
messages: + msg159164

resolution: fixed
stage: resolved
2012-04-24 15:38:44python-devsetnosy: + python-dev
messages: + msg159163
2012-01-07 20:07:23zacheratessetfiles: + issue13587.diff

nosy: + zacherates
messages: + msg150818

keywords: + patch
2011-12-17 00:06:55terry.reedysetnosy: + terry.reedy
messages: + msg149648
2011-12-17 00:03:18terry.reedysetversions: - Python 2.6, Python 3.1, Python 3.4
2011-12-12 12:40:53Bithin.Acreate